## org.eclipse.datatools.modelbase.sql.accesscontrol.impl
Class RoleAuthorizationImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.accesscontrol.impl.RoleAuthorizationImpl

All Implemented Interfaces:
  RoleAuthorization, SQLObject

public class RoleAuthorizationImpl
extends SQLObjectImpl
implements RoleAuthorization

An implementation of the model object 'Role Authorization'.

The following features are implemented:

- `Grantable`
- `Role`
- `Grantee`
- `Grantor`

See Also:
  Serialized Form

Method Summary
`AuthorizationIdentifier` `basicGetGrantee()`
`AuthorizationIdentifier` `basicGetGrantor()`
`Role` `basicGetRole()`
`NotificationChain` `basicSetGrantee(AuthorizationIdentifier newGrantee, NotificationChain msgs)`
`NotificationChain` `basicSetGrantor(AuthorizationIdentifier newGrantor, NotificationChain msgs)`
`NotificationChain` `basicSetRole(Role newRole, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`AuthorizationIdentifier` `getGrantee()`
`AuthorizationIdentifier` `getGrantor()`
`Role` `getRole()`
`boolean` `isGrantable()`
`void` `setGrantable(boolean newGrantable)`
`void` `setGrantee(AuthorizationIdentifier newGrantee)`
`void` `setGrantor(AuthorizationIdentifier newGrantor)`
`void` `setRole(Role newRole)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isGrantable

    public boolean isGrantable()

  Specified by:
    `isGrantable` in interface `RoleAuthorization`
  Returns:
    the value of the 'Grantable' attribute.
  See Also:
    `RoleAuthorization.setGrantable(boolean)`, `SQLAccessControlPackage.getRoleAuthorization_Grantable()`

### setGrantable

    public void setGrantable(boolean newGrantable)

  Specified by:
    `setGrantable` in interface `RoleAuthorization`
  Parameters:
    `newGrantable` - the new value of the 'Grantable' attribute.
  See Also:
    `RoleAuthorization.isGrantable()`

### getRole

    public Role getRole()

  Specified by:
    `getRole` in interface `RoleAuthorization`
  Returns:
    the value of the 'Role' reference.
  See Also:
    `RoleAuthorization.setRole(Role)`, `SQLAccessControlPackage.getRoleAuthorization_Role()`, `Role.getRoleAuthorization()`

### basicGetRole

    public Role basicGetRole()

### basicSetRole

    public NotificationChain basicSetRole(Role newRole,
                                          NotificationChain msgs)

### setRole

    public void setRole(Role newRole)

  Specified by:
    `setRole` in interface `RoleAuthorization`
  Parameters:
    `newRole` - the new value of the 'Role' reference.
  See Also:
    `RoleAuthorization.getRole()`

### getGrantee

    public AuthorizationIdentifier getGrantee()

  Specified by:
    `getGrantee` in interface `RoleAuthorization`
  Returns:
    the value of the 'Grantee' reference.
  See Also:
    `RoleAuthorization.setGrantee(AuthorizationIdentifier)`, `SQLAccessControlPackage.getRoleAuthorization_Grantee()`, `AuthorizationIdentifier.getReceivedRoleAuthorization()`

### basicGetGrantee

    public AuthorizationIdentifier basicGetGrantee()

### basicSetGrantee

    public NotificationChain basicSetGrantee(AuthorizationIdentifier newGrantee,
                                             NotificationChain msgs)

### setGrantee

    public void setGrantee(AuthorizationIdentifier newGrantee)

  Specified by:
    `setGrantee` in interface `RoleAuthorization`
  Parameters:
    `newGrantee` - the new value of the 'Grantee' reference.
  See Also:
    `RoleAuthorization.getGrantee()`

### getGrantor

    public AuthorizationIdentifier getGrantor()

  Specified by:
    `getGrantor` in interface `RoleAuthorization`
  Returns:
    the value of the 'Grantor' reference.
  See Also:
    `RoleAuthorization.setGrantor(AuthorizationIdentifier)`, `SQLAccessControlPackage.getRoleAuthorization_Grantor()`, `AuthorizationIdentifier.getGrantedRoleAuthorization()`

### basicGetGrantor

    public AuthorizationIdentifier basicGetGrantor()

### basicSetGrantor

    public NotificationChain basicSetGrantor(AuthorizationIdentifier newGrantor,
                                             NotificationChain msgs)

### setGrantor

    public void setGrantor(AuthorizationIdentifier newGrantor)

  Specified by:
    `setGrantor` in interface `RoleAuthorization`
  Parameters:
    `newGrantor` - the new value of the 'Grantor' reference.
  See Also:
    `RoleAuthorization.getGrantor()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.